﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
            <script type="text/javascript">
                //Put your JavaScript code here.
                function validateRenewalPeriod(valEl, args) {
                    var editForm = $(valEl).parents(".rgEditForm")[0];
                    var checkBox = $telerik.findElement(editForm, "tbRENEWAL_OPT");
                    if (checkBox.checked) {
                        var combo = $telerik.findControl(editForm, "tbRENEW_PERIOD");
                        args.IsValid = combo.get_selectedItem() != null;
                    }
                }
        </script>
        </telerik:RadCodeBlock>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="grdContractSchedule">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="grdContractSchedule" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="grdContractSchedule" runat="server" Width="100%"
            AllowAutomaticDeletes="True" AllowAutomaticInserts="True" AllowAutomaticUpdates="True"
            OnNeedDataSource="RadGrid1_NeedDataSource" AllowFilteringByColumn="False"
            GridLines="None" Skin="WebBlue"
            AllowSorting="True" AutoGenerateColumns="False"
            OnItemDataBound="grdContractSchedule_ItemDataBound" OnItemCommand="grdContractSchedule_ItemCommand">
            <MasterTableView DataKeyNames="OrderID" CommandItemDisplay="Top" Width="100%">
                <CommandItemStyle HorizontalAlign="Center" />
                <CommandItemTemplate>
                    <!-- Change Command Item buttons -->
                    <asp:Button ID="lnkAddNewRequest" runat="server" CommandName="InitInsert"
                        Text="Add New Contract Schedule" Visible='<%# !grdContractSchedule.MasterTableView.IsItemInserted %>' />
                </CommandItemTemplate>
                <RowIndicatorColumn>
                    <HeaderStyle Width="20px"></HeaderStyle>
                </RowIndicatorColumn>
                <ExpandCollapseColumn>
                    <HeaderStyle Width="20px"></HeaderStyle>
                </ExpandCollapseColumn>
                <Columns>
                    <telerik:GridEditCommandColumn ButtonType="ImageButton" UniqueName="EditCommandColumn" />
                    <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32" HeaderText="CONTRACT_ID"
                        ReadOnly="True" SortExpression="CONTRACT_ID" UniqueName="CONTRACT_ID" Visible="false">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Freight"
                        HeaderText="Contract No" SortExpression="CONTRACT_NO" UniqueName="CONTRACT_NO" />
                    <telerik:GridBoundColumn DataField="Freight" HeaderText="Schedule ID"
                        SortExpression="SCHEDULE_ID" UniqueName="SCHEDULE_ID" />
                    <telerik:GridBoundColumn DataField="Freight" HeaderText="Ship Pt"
                        SortExpression="SHIP_PT_NO" UniqueName="SHIP_PT_NO" />
                    <telerik:GridBoundColumn DataField="OrderDate" HeaderText="Valid From"
                        SortExpression="VALID_FROM" UniqueName="VALID_FROM" DataFormatString="{0:d}" />
                    <telerik:GridBoundColumn DataField="OrderDate" HeaderText="Valid To"
                        SortExpression="VALID_TO" UniqueName="VALID_TO" DataFormatString="{0:d}" />
                    <telerik:GridBoundColumn DataField="Freight" HeaderText="Renewal Period"
                        SortExpression="RENEW_PERIOD" UniqueName="RENEW_PERIOD" />
                    <telerik:GridCheckBoxColumn DataField="Active"
                        HeaderText="Renewal<br/>Option" SortExpression="RENEWAL_OPT"
                        UniqueName="RENEWAL_OPT" AllowFiltering="false" />
                    <telerik:GridBoundColumn DataField="ShipName" HeaderText="Cancel.<br/>Notice days"
                        SortExpression="CANC_NOTICE" UniqueName="CANC_NOTICE" />
                    <telerik:GridBoundColumn DataField="OrderDate"
                        HeaderText="Cancel.<br/>Notice Date" SortExpression="CANC_NOTICE_DATE" DataFormatString="{0:d}"
                        UniqueName="CANC_NOTICE_DATE" />
                    <telerik:GridCheckBoxColumn DataField="Active"
                        HeaderText="Sch. Exp" SortExpression="SCH_EXP_IND"
                        UniqueName="SCH_EXP_IND" AllowFiltering="false" />
                    <telerik:GridBoundColumn DataField="Freight" HeaderText="Sch.<br/>Escalation"
                        SortExpression="SCH_ESCALATION" UniqueName="SCH_ESCALATION" />
                    <telerik:GridBoundColumn DataField="Freight" HeaderText="Overtime<br/>Mon-Fri"
                        SortExpression="OVERTIME_MF" UniqueName="OVERTIME_MF" />
                    <telerik:GridBoundColumn DataField="Freight" HeaderText="Overtime<br/>Saturday"
                        SortExpression="OVERTIME_SAT" UniqueName="OVERTIME_SAT" />
                    <telerik:GridBoundColumn DataField="Freight" HeaderText="Overtime<br/>Sunday"
                        SortExpression="OVERTIME_SUN" UniqueName="OVERTIME_SUN" />
                    <telerik:GridBoundColumn DataField="Freight" HeaderText="Overtime<br/>Holidays"
                        SortExpression="OVERTIME_HOL" UniqueName="OVERTIME_HOL" />
                    <telerik:GridButtonColumn ButtonType="ImageButton" Text="Delete"
                        CommandName="Delete" ConfirmText="Delete this record?" UniqueName="DeleteCommandColumn" />
                </Columns>
                <EditFormSettings EditFormType="Template">
                    <FormTemplate>
                        <table border="0" class="clsTable" style="width: 950px">
                            <tr>
                                <td class="clsLabelFixedWidth">Contract No:
                                </td>
                                <td>
                                    <asp:Label ID="tbCONTRACT_NO" runat="server" Text='<%# Eval("OrderID") %>' />
                                    <asp:Label ID="tbCONTRACT_ID" runat="server" Text='<%# Eval("Freight") %>' Visible="false" />
                                </td>
                                <td class="clsLabelFixedWidth">Schedule ID:<font color="red">*</font>
                                </td>
                                <td>
                                    <asp:TextBox ID="tbSCHEDULE_ID" runat="server" Text='<%# Eval("Freight") %>'
                                        MaxLength="50" Width="200px" />
                                    <asp:RequiredFieldValidator ID="valtbSCHEDULE_ID" ControlToValidate="tbSCHEDULE_ID"
                                        runat="server" ErrorMessage="Missing Schedule ID." Display="Dynamic"
                                        ValidationGroup="SaveContractScheduleValidationGroup" />
                                </td>
                            </tr>
                            <tr>
                                <td class="clsLabelFixedWidth">Ship Pt.:<font color="red">*</font>
                                </td>
                                <td>
                                    <telerik:RadComboBox ID="tbSHIP_PT_NO" AllowCustomText="false"
                                        MarkFirstMatch="true" HighlightTemplatedItems="true" AppendDataBoundItems="true"
                                        CssClass="clsControl" EmptyMessage="Select a Ship Pt."
                                        SelectedValue='<%#Eval("ShipName")%>' DataSourceID="odsActivity"
                                        DataTextField="ShipName" DataValueField="ShipName"
                                        runat="server" Width="200px" Height="300px" Skin="WebBlue">
                                        <Items>
                                            <telerik:RadComboBoxItem Text="Select a Ship Pt." Value="Select a Ship Pt."
                                                Selected="true" />
                                        </Items>
                                    </telerik:RadComboBox>
                                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1"
                                        ControlToValidate="tbSHIP_PT_NO" runat="server" ErrorMessage="Missing Schedule"
                                        InitialValue="tbSHIP_PT_NO" Display="Dynamic"
                                        ValidationGroup="SaveContractScheduleValidationGroup" />
                                </td>
                                <td class="clsLabelFixedWidth">Schedule Currency.:
                                </td>
                                <td>
                                    <asp:TextBox ID="tbSCH_CURRENCY" runat="server" Text='<%# Eval("ShipName") %>'
                                        MaxLength="50" Width="200px" />
                                </td>
                            </tr>
                            <tr>
                                <td class="clsLabelFixedWidth">Valid From:<font color="red">*</font>
                                </td>
                                <td>
                                    <telerik:RadDatePicker ID="tbVALID_FROM" runat="server" Culture="English (United States)"
                                        DbSelectedDate='<%# Eval("OrderDate") %>'
                                        Font-Names="tahoma" Font-Size="8pt" Skin="Default" PopupDirection="TopRight"
                                        TabIndex="15" Width="150px">
                                        <Calendar ID="Calendar2" runat="server" Skin="Default" UseColumnHeadersAsSelectors="False"
                                            UseRowHeadersAsSelectors="False"
                                            ViewSelectorText="x" Width="100px">
                                        </Calendar>
                                        <DatePopupButton HoverImageUrl="" ImageUrl="" />
                                        <DateInput ID="DateInput2" runat="server" DateFormat="MM/dd/yyyy" DisplayDateFormat="MM/dd/yyyy"
                                            Font-Names="tahoma" Font-Size="8pt" TabIndex="15" Width="80px">
                                        </DateInput>
                                    </telerik:RadDatePicker>
                                    <asp:RequiredFieldValidator ID="valtbVALID_FROM" ControlToValidate="tbVALID_FROM"
                                        runat="server" ErrorMessage="Missing Valid From." Display="Dynamic"
                                        ValidationGroup="SaveContractScheduleValidationGroup" />

                                </td>
                                <td class="clsLabelFixedWidth">Valid To:<font color="red">*</font>
                                </td>
                                <td>
                                    <telerik:RadDatePicker ID="tbVALID_TO" runat="server" Culture="English (United States)"
                                        DbSelectedDate='<%# Eval("OrderDate") %>'
                                        Font-Names="tahoma" Font-Size="8pt" Skin="Default" PopupDirection="TopRight" TabIndex="15" Width="150px">
                                        <Calendar ID="Calendar4" runat="server" Skin="Default" UseColumnHeadersAsSelectors="False"
                                            UseRowHeadersAsSelectors="False"
                                            ViewSelectorText="x" Width="100px">
                                        </Calendar>
                                        <DatePopupButton HoverImageUrl="" ImageUrl="" />
                                        <DateInput ID="DateInput4" runat="server" DateFormat="MM/dd/yyyy" DisplayDateFormat="MM/dd/yyyy"
                                            Font-Names="tahoma" Font-Size="8pt" TabIndex="15" Width="80px">
                                        </DateInput>
                                    </telerik:RadDatePicker>
                                    <asp:RequiredFieldValidator ID="valtbVALID_TO" ControlToValidate="tbVALID_TO" runat="server"
                                        ErrorMessage="Missing Valid To" Display="Dynamic"
                                        ValidationGroup="SaveContractScheduleValidationGroup" />
                                </td>
                            </tr>
                            <tr>
                                <td class="clsLabelFixedWidth">Renewal Option:
                                </td>
                                <td>
                                    <asp:CheckBox ID="tbRENEWAL_OPT" runat="server"
                                        Checked='<%# Container is IGridInsertItem ? false : Eval("Active") %>' />
                                </td>
                                <td class="clsLabelFixedWidth">Renewal Option Period:
                                </td>
                                <td>
                                    <telerik:RadComboBox ID="tbRENEW_PERIOD" AllowCustomText="false"
                                        MarkFirstMatch="true" HighlightTemplatedItems="true" AppendDataBoundItems="true"
                                        CssClass="clsControl" EmptyMessage="Select Renewal Period"
                                        runat="server" Width="200px" Skin="WebBlue">
                                        <Items>
                                            <telerik:RadComboBoxItem Text="1 year" Value="1 year" />
                                            <telerik:RadComboBoxItem Text="2 years" Value="2 years" />
                                            <telerik:RadComboBoxItem Text="3 years" Value="3 years" />
                                            <telerik:RadComboBoxItem Text="5 years" Value="5 years" />
                                            <telerik:RadComboBoxItem Text="30 days" Value="30 days" />
                                            <telerik:RadComboBoxItem Text="60 days" Value="60 days" />
                                            <telerik:RadComboBoxItem Text="90 days" Value="90 days" />
                                            <telerik:RadComboBoxItem Text="120 days" Value="120 days" />
                                            <telerik:RadComboBoxItem Text="180 days" Value="180 days" />
                                            <telerik:RadComboBoxItem Text="18 Months" Value="18 Months" />
                                        </Items>
                                    </telerik:RadComboBox>
                                    <asp:CustomValidator ID="CustomValidator1" runat="server" ErrorMessage="Missing Period"
                                        Display="Dynamic"
                                        ValidationGroup="SaveContractScheduleValidationGroup"
                                        ClientValidationFunction="validateRenewalPeriod"
                                        OnServerValidate="CustomValidator1_ServerValidate">
                                    </asp:CustomValidator>
                                </td>
                            </tr>
                            <tr>
                                <td class="clsLabelFixedWidth">Cancel.Notice(Days):<font color="red">*</font>
                                </td>
                                <td>
                                    <telerik:RadNumericTextBox ID="tbCANC_NOTICE" runat="server" Text='<%# Eval("Freight") %>'
                                        Width="200px" NumberFormat-DecimalDigits="0" />
                                    <asp:RequiredFieldValidator ID="valtbCANC_NOTICE" ControlToValidate="tbCANC_NOTICE" runat="server"
                                        ErrorMessage="Missing Cancel.Notice days" Display="Dynamic"
                                        ValidationGroup="SaveContractScheduleValidationGroup" />
                                </td>
                                <td class="clsLabelFixedWidth">Cancel.Notice Date:
                                </td>
                                <td>
                                    <asp:TextBox ID="tbCANC_NOTICE_DATE" runat="server" Text='<%# Eval("OrderDate") %>'
                                        Width="200px" ReadOnly="true" ToolTip="(Valid To Date - Cancel.Notice Days)" />
                                </td>
                            </tr>
                            <tr>
                                <td class="clsLabelFixedWidth">Operation Days:
                                </td>
                                <td>
                                    <telerik:RadComboBox ID="tbOPER_DAYS" AllowCustomText="false"
                                        MarkFirstMatch="true" HighlightTemplatedItems="true" AppendDataBoundItems="true"
                                        CssClass="clsControl" EmptyMessage="Select Operation Days"
                                        SelectedValue='<%#Eval("ShipName")%>' DataSourceID="odsActivity"
                                        DataTextField="ShipName" DataValueField="ShipName"
                                        runat="server" Width="200px" Skin="WebBlue">
                                        <Items>
                                            <telerik:RadComboBoxItem Text="" Value="" />
                                        </Items>
                                    </telerik:RadComboBox>
                                </td>
                                <td class="clsLabelFixedWidth">Operation Hours:
                                </td>
                                <td>
                                    <telerik:RadComboBox ID="tbOPER_HOURS" AllowCustomText="false"
                                        MarkFirstMatch="true" HighlightTemplatedItems="true" AppendDataBoundItems="true"
                                        CssClass="clsControl" EmptyMessage="Select Operation Hours"
                                        SelectedValue='<%#Eval("ShipName")%>' DataSourceID="odsActivity"
                                        DataTextField="ShipName" DataValueField="ShipName"
                                        runat="server" Width="205px" Skin="WebBlue">
                                        <Items>
                                            <telerik:RadComboBoxItem Text="" Value="" />
                                        </Items>
                                    </telerik:RadComboBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="clsLabelFixedWidth">Schedule Exp.:
                                </td>
                                <td>
                                    <asp:CheckBox ID="tbSCH_EXP_IND" runat="server"
                                        Checked='<%# Container is IGridInsertItem ? false : Eval("Active") %>' />
                                </td>
                                <td class="clsLabelFixedWidth">Schedule Escalation:
                                </td>
                                <td>
                                    <asp:TextBox ID="tbSCH_ESCALATION" runat="server" Text='<%# Eval("ShipCountry") %>'
                                        MaxLength="20" Width="200px" />
                                </td>
                            </tr>
                        </table>
                        <br />
                        <fieldset style="width: 945px">
                            <legend>Overtime Charges</legend>
                            <telerik:RadComboBox ID="lstAppType" AllowCustomText="true"
                                MarkFirstMatch="true" HighlightTemplatedItems="true"
                                AppendDataBoundItems="true" SelectedValue='<%# Bind("ShipName") %>'
                                CssClass="clsControl" DataSourceID="odsActivity" DataTextField="ShipName"
                                DataValueField="ShipName" runat="server" Width="220px" Skin="WebBlue"
                                OnDataBound="lstAppType_DataBound">
                                <Items>
                                    <telerik:RadComboBoxItem Text="TW Contracts" Value="TW Contracts" Selected="true" />
                                </Items>
                            </telerik:RadComboBox>
                            <br />
                        </fieldset>
                        <br />
                        <asp:Button ID="Button1" runat="server" Text='<%# Container is IGridInsertItem ? "Insert":"Update" %>'
                            CommandName='<%# Container is IGridInsertItem ? "PerformInsert":"Update" %>'
                            ValidationGroup="SaveContractScheduleValidationGroup" />
                        <asp:Button ID="Button2" runat="server" Text="Cancel" CommandName="Cancel" CausesValidation="false" />
                    </FormTemplate>
                </EditFormSettings>
            </MasterTableView>
        </telerik:RadGrid>
        <asp:ObjectDataSource ID="odsActivity" runat="server"
            SelectMethod="FetchNames" TypeName="Payments.Functions"></asp:ObjectDataSource>
    </form>
</body>
</html>
