﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Linq;
using System.Web;


namespace Payments
{
    public class Functions
    {
        [DataObjectMethod(DataObjectMethodType.Select)]
        public static DataTable FetchNames()
        {
            DataTable dataTable = new DataTable();

            DataColumn column = new DataColumn();
            column.DataType = Type.GetType("System.Int32");
            column.ColumnName = "OrderID";
            dataTable.Columns.Add(column);

            column = new DataColumn();
            column.DataType = Type.GetType("System.String");
            column.ColumnName = "ShipName";
            dataTable.Columns.Add(column);

            DataColumn[] PrimaryKeyColumns = new DataColumn[1];
            PrimaryKeyColumns[0] = dataTable.Columns["OrderID"];
            dataTable.PrimaryKey = PrimaryKeyColumns;

            for (int i = 0; i <= 80; i++)
            {
                DataRow row = dataTable.NewRow();
                row["OrderID"] = i + 1;
                row["ShipName"] = "Name " + (i + 1);

                dataTable.Rows.Add(row);
            }

            return dataTable;
        }
    }
}
