﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        grdContractSchedule.DataSource = GetGridSource();
    }
    private DataTable GetGridSource()
    {
        DataTable dataTable = new DataTable();

        DataColumn column = new DataColumn();
        column.DataType = Type.GetType("System.Int32");
        column.ColumnName = "OrderID";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.DateTime");
        column.ColumnName = "OrderDate";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.Decimal");
        column.ColumnName = "Freight";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.String");
        column.ColumnName = "ShipName";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.String");
        column.ColumnName = "ShipCountry";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.Boolean");
        column.ColumnName = "Active";
        dataTable.Columns.Add(column);

        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dataTable.Columns["OrderID"];
        dataTable.PrimaryKey = PrimaryKeyColumns;

        for (int i = 0; i <= 80; i++)
        {
            DataRow row = dataTable.NewRow();
            row["OrderID"] = i + 1;
            row["OrderDate"] = DateTime.Now;
            row["Freight"] = (i + 1) + (i + 1) * 0.1 + (i + 1) * 0.01;
            row["ShipName"] = "Name " + (i + 1);
            row["ShipCountry"] = "Country " + (i + 1);
            row["Active"] = (i + 1) % 3 == 0;

            dataTable.Rows.Add(row);
        }

        return dataTable;
    }
    protected void grdContractSchedule_ItemDataBound(object sender, GridItemEventArgs e)
    {
    }
    protected void grdContractSchedule_ItemCommand(object sender, GridCommandEventArgs e)
    {
    }
    protected void lstAppType_DataBound(object sender, EventArgs e)
    {
        RadComboBox combo = sender as RadComboBox;
        if (combo.SelectedItem == null)
        {
            combo.Items[0].Selected = true;
        }
    }
    protected void CustomValidator1_ServerValidate(object source, ServerValidateEventArgs args)
    {
        // alternative (or additional) approach if you prefer server-side validation
        CustomValidator val = source as CustomValidator;
        GridEditableItem editForm = val.NamingContainer as GridEditableItem;
        CheckBox checkBox = editForm.FindControl("tbRENEWAL_OPT") as CheckBox;
        if (checkBox.Checked)
        {
            RadComboBox combo = editForm.FindControl("tbRENEW_PERIOD") as RadComboBox;
            args.IsValid = combo.SelectedItem != null;
        }
    }
}
